Plugin load fails when using libblockdev API

Solution Verified - Updated -

Issue

  • Plugin load fails when using libblockdev API:
[root@host]# ./sample_script.py 

** (process:31170): WARNING **: 17:53:59.004: The 'ntfscluster' utility is not available
The 'ntfslabel' utility is not available
The 'ntfsresize' utility is not available
The 'ntfsfix' utility is not available
The 'mkntfs' utility is not available
Traceback (most recent call last):
  File "./sample_script.py", line 18, in <module>
    succ_ = bd.init(requested_plugins)
  File "/usr/lib64/python3.6/site-packages/gi/overrides/BlockDev.py", line 91, in init
    return _init(require_plugins, log_func)
GLib.Error: g-bd-init-error-quark: Failed to load plugins (0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./sample_script.py", line 20, in <module>
    raise RuntimeError("Failed to initialize libbd and its plugins (%s)" % REQUESTED_PLUGIN_NAMES)
RuntimeError: Failed to initialize libbd and its plugins ({'fs'})

Environment

  • Red Hat Enterprise Linux 8

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In